c------------------------------------
c
c     factores de forma del neutron y proton
c


      if (icharg.eq.1)then
        anom=1.793
        ge0=1.0
      else
        anom=-1.913
        ge0=0.0
      endif


      QQ2=-qnu2bar/4.d0/amassp/amassp
      tau=qq2


      Gm0=ge0+anom


      dip=1.d0/(1-qnu2/18.2)**2


      if(iff.eq.0)dip=1.d0

      gm=gm*dip
      ge=ge0*dip

      if(icharg.eq.0)then
      ge=-anom*tau/(1.+5.6*tau)*dip
      endif



      ff2=(gm-ge)/(1.+tau)/anom
      ff1=(ge+tau*gm)/(1.+tau)



      gmt=ff1+anom*ff2
      get=ff1-qq2*anom*ff2
      print*,'qnu2=',qnu2,ff1,ff2,gm/ge,gmt/get
      if(ipl.eq.2)ff1=-anom*ff2
      if(ipl.eq.3)ff2=0.0d0
      if(ipl.eq.4)ff1=0.d0
      falp=ff1
      fbet=anom*ff2/2.d0/amassp

      fff(1)=-anom*ff2/2.d0/amassp
      fff(2)=ff1+anom*ff2
      print*,fff(1),fff(2),'momentos'

